%undefine _hardened_build

Summary:	MFC/R2 signalling over E1 lines using the DAHDI Telephony interface
Name:		openr2
Version:	1.3.3
Release:	1%{?dist}
License:	GPLv2
URL:		http://code.google.com/p/openr2/
Source0:	https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/openr2/openr2-%{version}.tar.gz
BuildRequires:	autoconf automake libtool
BuildRequires:	dahdi-tools-devel

%description
OpenR2 is a library that implements the MFC/R2 signalling over E1 lines using
the DAHDI Telephony interface. The MF R2 tones required for the signaling are
generated by code borrowed from the LGPL library SpanDSP written by Steve
Underwood, the user has the option to provide a MF interface to use his own MF
R2 tone generation and detection so the library will use them when needed,
that's why this library does not depend directly on spandsp, libteletone or
zaptel for tone generation and detection (depends on zaptel for CAS bits and
general media transmission though)

%package libs
Summary:	MFC/R2 signalling over E1 lines using the DAHDI Telephony interface library

%description libs
OpenR2 is a library that implements the MFC/R2 signalling over E1 lines using
the DAHDI Telephony interface. The MF R2 tones required for the signaling are
generated by code borrowed from the LGPL library SpanDSP written by Steve
Underwood, the user has the option to provide a MF interface to use his own MF
R2 tone generation and detection so the library will use them when needed,
that's why this library does not depend directly on spandsp, libteletone or
zaptel for tone generation and detection (depends on zaptel for CAS bits and
general media transmission though)

%package devel
Summary:	Development files for the openr2 library
Requires:	openr2-libs == %{version}

%description devel
OpenR2 is a library that implements the MFC/R2 signalling over E1 lines using
the DAHDI Telephony interface. The MF R2 tones required for the signaling are
generated by code borrowed from the LGPL library SpanDSP written by Steve
Underwood, the user has the option to provide a MF interface to use his own MF
R2 tone generation and detection so the library will use them when needed,
that's why this library does not depend directly on spandsp, libteletone or
zaptel for tone generation and detection (depends on zaptel for CAS bits and
general media transmission though)

This package contains development files for the openr2 library.

%prep

%setup -q

%build
autoreconf -fi
%{configure}
%{__make}

%install
DESTDIR=%{buildroot} %{__make} install

# cleanup
rm -f %{buildroot}%{_libdir}/*.*a

%files
%doc doc/*
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/r2proto.conf
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/r2test.conf
%attr(0755,root,root) %{_bindir}/r2dtmf_detect
%attr(0755,root,root) %{_bindir}/r2test
%{_mandir}/man5/*
%{_mandir}/man8/*

%files libs
%doc COPYING* README
%{_libdir}/libopenr2.so.3*

%files devel
%{_includedir}/openr2
%{_includedir}/openr2.h
%{_libdir}/libopenr2.so
